#!/usr/bin/env python3
from cmk.gui.plugins.metrics import perfometer_info

perfometer_info.append({
    "type": "stacked",
    "perfometers": [
        {
            "type": "linear",
            "segments": ["hal_users_quota_used"],
            "total": 100.0,
        },
    ],
})


perfometer_info.append({
    "type": "stacked",
    "perfometers": [
        {
            "type": "linear",
            "segments": ["hal_storages_upload_rate"],
            #"half_value": 1024000,
            #"exponent": 3,
        },
        {
            "type": "linear",
            "segments": ["hal_storages_download_rate"],
            #"half_value": 1024000,
            #"exponent": 3,
        },
    ],
})

# both values will added (??)
#perfometer_info.append({
#    "type": "stacked",
#    "perfometers": [
#        {
#            "type": "linear",
#            "segments": ["hal_storages_upload_rate", "hal_storages_download_rate"],
#        },
#    ],
#})
